#!/bin/sh
# Atomic Workload Protection
# Copyright Atomicorp, 2007-2024
# License: Commercial, unauthorized redistribution or duplication is prohibited
# ASL database configuration script

LOG_PATH="/var/ossec/logs/shun_history.log"

########
# Main
########
if [ "$1" == "add" ] ||  [ "$1" == "delete" ]; then
    ACTION=$1
    IP=$3
    ALERT=$4
    RULE=$5
else
    read -r stdin_data
    IP=$(echo "$stdin_data" | jq -r '.parameters.alert.data.srcip')
    ALERT=$(echo "$stdin_data" | jq -r '.parameters.alert.id')
    RULE=$(echo "$stdin_data" | jq -r '.parameters.alert.rule.id')
fi


echo "{\"timestamp\":\"$(date -u +"%Y-%m-%dT%H:%M:%SZ")\",\"action\":\"$ACTION\",\"ip\":\"$IP\",\"rule_id\":\"$RULE\",\"alert_id\":\"$ALERT\"}" >> $LOG_PATH
